VM_PAGE_GRAB(9)

NAME
vm_page_grab - returns a page from an object

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
vm_page_t
vm_page_grab(vm_object_t object, vm_pindex_t pindex, int allocflags);

DESCRIPTION
The vm_page_grab() function returns the page at pindex from the given object. If the page exists and is busy, vm_page_grab() will sleep while waiting for it. If the page does not exist, it is allocated.

If VM_ALLOC_RETRY is not set in allocflags and the function sleeps, either getting the page from the object or while allocating it, NULL is returned.

RETURN VALUES
If successful, vm_page_grab() returns the page; otherwise, NULL is returned.

SEE ALSO
vm_page_alloc(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.